MKFIFO(1)

NAME
mkfifo - make FIFOs (named pipes)

SYNOPSIS
mkfifo [options] file...

POSIX options: [-m mode] [--]

GNU options (shortest form): [-m mode] [--help] [--version] [--]

DESCRIPTION
mkfifo creates FIFOs (also called "named pipes") with the specified filenames.

A "FIFO" is a special file type that permits independent processes to communicate. One process opens the FIFO file for writing, and another for reading, after which data can flow as with the usual anonymous pipe in shells or elsewhere.

By default, the mode of created FIFOs is 0666 (`a+rw') minus the bits set in the umask.

OPTIONS

-m mode, --mode=mode
    Set the mode of created FIFOs to mode, which can be symbolic as in chmod(1) and uses the default mode as the point of departure.

--  Terminate option list.

GNU STANDARD OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output, then exit successfully.

--  Terminate option list.

ENVIRONMENT
The variables LANG, LC_ALL, LC_CTYPE and LC_MESSAGES have the usual meaning.

CONFORMING TO
POSIX.2

NOTES
This page describes mkfifo as found in the fileutils-4.0 package; other versions may differ slightly.